import utilsPM.InOut;

// En un programa principal no hace falta que el nombre de la clase
// coincida con el del fichero java. Eso s, el fichero class tendr
// el nombre de la clase, no el del fichero.

class BusquedaLin{

    static void main (String args[]) 
	throws Exception
    {
	
	InOut io = new InOut(); 
	int x;
	boolean b;
	int[] v;
	
	io.write("Escribe la dimensin del vector: ");
	int n = io.readint();

	v=leer_vector(n, io);
	io.write("Escribe el elemento a buscar: ");
	x=io.readint();
	
	b=buscar_lin(v,x);
	if (b) io.writeln("Esta");
	else io.writeln("No esta");
    }


    // Parametrizamos el objeto de tipo InOut (tambin llamado "canal
    // de entrada", para garantizar que el vector se lee del mismo
    // canal que el resto de datos

    static int[] leer_vector(int dim, InOut canal)
	throws Exception
    {
	/* Notad que se declara con dim+1, para poder usar las posiciones
	   1 ..dim, despreciando la 0 */
	
	canal.writeln("Escribe un vector de "+dim+ " elementos: ");
	int i;
	int[] v =new int[dim+1];
	for (i=1; i<dim+1; i++) v[i]=canal.readint();
	return v;
    }

    static boolean buscar_lin(int[] v, int x){
	/* Nuevamente, notad que la bsqueda se realiza entre 1 y la
	   posicin mxima, que es v.length-1 */

	boolean res;
	int i;
	i=0;
	res=false;
	while (i<v.length-1 && !res) {i++;res=(v[i]==x);}
	return res;
    }
}
