import tadsPM.estudiante.*;
import utilsPM.InOut;

class red1{

    /* Ejemplo de uso de la clase Estudiante. Notad que los metodos de
       la clase se invocan sobre un objeto de la misma */
    
    public static void main (String args[])  throws Exception
    { 
      EstudianteIO estio = new EstudianteIO();
      InOut io = new InOut();
      Estudiante est;

      io.writeln("Escribe un estudiante <DNI nota>:");

      est=estio.leer_estudiante(io); 
      // no hay que hacer new (lo hace leer_estudiante)
      
      if (est.tiene_nota()) est=redondear_e_f(est); // version funcion
                      //  redondear_e_a(est);    // version accion

      io.writeln("El estudiante con la nota redondeada:");
      estio.escribir_estudiante(est,io);
    }
    
    /* Usamos acciones o funciones estaticas porque estamos en el programa 
       principal */
    
    /* Redondear, version funcion */
    
    public static Estudiante redondear_e_f (Estudiante est)
	throws NotaException,DNIException
    {
	Estudiante est_red= new Estudiante();
	est_red.crear_estudiante(est.consultar_DNI());
	est_red.anadir_nota(((int)(2*(est.consultar_nota()+.25))) /2.0);
	return est_red;
    }

    /* Redondear, version accion: nos podemos ahorrar el Estudiante
       auxiliar. Esto es interesante cuando no sea necesario conservar
       los datos originales */
    
    public static void redondear_e_a (Estudiante est)
	throws NotaException
    {
	est.modificar_nota(((int)(2*(est.consultar_nota()+.25))) /2.0);
    }
}



