
import utilsPM.InOut;
import tadsPM.polinomio.ExponenteException;

public class PoliIO {


    public Poli leer_poli(int marca, InOut canal) throws Exception 
    /* Lee los coeficientes de un polinomio de menor a mayor indice,
     hasta llegar a la marca.
     Si se leen demasiados coeficientes se lanza una excepcion */

    { 
	Poli p = new Poli();
	p.crear_poli(0,0);
	int x = canal.readint();
	int i=0;
	while (x!=marca)
	    {
		if (i>Poli.grado_maximo()) throw new ExponenteException("Polinomio demasiado grande"); 
		p.modif_coef(x,i);
		x = canal.readint();
		i++;
	    }
	return p;
    }



    public void escribir_poli(Poli p, InOut canal) throws Exception
  /* Escribe los coeficientes de un polinomio de menor a mayor indice */

  {
    int i=0;
    while (i<=p.grado())
      {
	canal.write(p.coef(i)+ " ");
	i++;
      }
    canal.writeln();
  }
}
