package tadsPM;

import utilsPM.InOut;
import tadsPM.Pila;

public class Lavadora{

    private Pila prendas;
    private boolean col;
    private int pes;

    public Lavadora (boolean col) { 
	/* cierto */
        /* devuelve una lavadora vacia */

	prendas = new Pila();
	prendas.p_nula();
	this.col=col;
	pes=0;
    }

    public void aadir_prenda (Prenda p) {
	/* peso de l + peso de p <= MAX_CARGA; el color de l 
        es el mismo que el de las piezas de p */
	/* el par. impl. contiene su carga inicial ms p */

	prendas.apilar(p);
	pes+=p.consul_peso();
    }

    public boolean consultar_color() {
        /* devuelve el color del par. impl. */

        return col;
    }
 
    public int consultar_peso() {
        /* devuelve el peso del par. impl. */

        return pes;
    }
 
    public Lavadora copiar_lavadora() { 
	/* devuelve una copia del par. impl. */
   
	Lavadora l = new Lavadora(col);
	l.pes=pes;
	(l.prendas).copiar_pila(prendas);
	return l;
    }

    public void escribir_lavadora(InOut io) throws Exception{
	/* escribe el par. impl. sin modificarlo */

	Lavadora l = new Lavadora(col);
	l=this.copiar_lavadora();
        if (col) io.writeln("Lavadora de color, con peso " + pes + " ; sus prendas son");
	else io.writeln("Lavadora de blanco, con peso " + pes + " ; sus prendas son");
	while (!(l.prendas).es_nula()) {
	    ((Prenda)(l.prendas).cima()).escribir_prenda(io);
	    (l.prendas).desapilar();
	}  
	io.writeln();
    }

}
