import tadsPM.Pila;
import utilsPM.InOut;
import tadsPM.EmptyStackException;

public class PilaIOint{
 
    /* Para envolver los enteros se usa la clase INTEGER. En otras
     situaciones habra que usar envolturas definidas por el usuario */

    public Pila leer_pila_int (int marca, InOut io) throws Exception
    /* Lee la pila de abajo a arriba */
    
    {
	int x;
	Pila aux =new Pila();  
	aux.p_nula();  
	x =io.readint();
	while (x!=marca) 
	    { 
		Integer wx = new Integer(x); // conversion int --> Integer 
		aux.apilar(wx);              // se apila el Integer
		x =io.readint(); 
	    }
	
    return aux;
    }


 
  public void escribir_pila_int (Pila p, InOut io) throws Exception
 
  /* Como este metodo nunca deberia ser erroneo por pila_nula, podemos
     manejar la excepcion lanzada por cima y desapilar, de forma que
     no se propague.  Para ello usamos la clausula try ... catch.
     Ahora, los metodos que llamen a este (y asi sucesivamente) no han
     de declarar la EmptyStackExcepcion. */

    {
    Pila q = new Pila();  
    q.copiar_pila(p);     // para que el desapilar no afecte a p 
    while (!q.es_nula()) 
      { 
	try               // para que la excepcion no se propague 
	  {
	    Integer wcima = (Integer)q.cima(); // conversion Object --> Integer
	    io.writeln(wcima.intValue());   // valor del Integer
	    q.desapilar();
	  }
	catch  (EmptyStackException e)      // no deberia darse nunca
	  {
	    System.err.println("Error en escribir_pila");
	  }
        
      }
    }
}
