package tadsPM.estudiante;

public class Estudiante{

 private static double MAX_NOTA =10;
  /* Se podria incluir como campo normal, para poder manejar distintos
     maximos segun la situacion */

 private int DNI;
 private double nota;
 private boolean tiene_nota;

/* Constructor: solo hay el constructor por defecto Estudiante()  */

/* Modificadoras de los campos */
 
 public void crear_estudiante(int dni) throws DNIException 
 /* dni>=0, si no se produce una excepcion */
 /* el parametro implicito es un estudiante con DNI=dni
    y sin nota */
  {
   if (dni<0) throw new DNIException("DNI negativo");
   DNI = dni;
   tiene_nota=false;
  }

 
 public void anadir_nota (double nota)
        throws NotaException{

	  if (this.tiene_nota) throw new NotaException("Nota ya inicializada");  	 if (nota<0 || nota>MAX_NOTA) 
	    throw new NotaException("Valor de nota no vlido");
	  this.nota=nota;
	  this.tiene_nota=true;
}

 public void modificar_nota (double nota)
       throws NotaException{

	 if (! this.tiene_nota) 
	   throw new NotaException("Nota no inicializada"); 
         if (nota<0 || nota>MAX_NOTA) 
	   throw new NotaException("Valor de nota no vlido");
	 this.nota=nota;
}



/* Consultoras de los campos */
  public int consultar_DNI(){
    return DNI;
  }

  public double consultar_nota() throws NotaException
  {
    if (!this.tiene_nota) throw new NotaException("Nota no inicializada"); 
    return nota;
  }
 
/* Consultora especial, para cuando buscamos un estudiante con nota */

  public boolean tiene_nota (){
    return tiene_nota;
  }

/* Metodo para obtener copias seguras */

/* El parametro implicito pasa a ser una copia de est */

 public void copiar_estudiante(Estudiante est)

 {
   this.DNI=est.DNI;
   this.nota=est.nota;
   this.tiene_nota=est.tiene_nota;
 }
}
